This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 890182 - postgres support for database - nova
postgres support for database - nova
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
low Severity low
: ga
: 5.0 (RHEL 7)
Assigned To: David Ripton
Gabriel Szasz
: FutureFeature, TestOnly, Triaged
Depends On:
Blocks: 816316
  Show dependency treegraph
 
Reported: 2012-12-25 10:07 EST by Perry Myers
Modified: 2014-09-08 01:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 816316
Environment:
Last Closed: 2014-01-21 12:21:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2012-12-25 10:07:25 EST
+++ This bug was initially created as a clone of Bug #816316 +++

Description of problem:
Presently upstream OpenStack primarily utilizes mysql for its database.  We'd like to expand this to include postgres in addition.  There are probably some integration issues/small problems with running Postgres w/ Essex today, and these bugs will need to be tracked and individually resolved separately.

This bug is specifically for tracking the overall support of Postgres, and as such is a TestOnly bug.

--- Additional comment from Perry Myers on 2012-04-25 15:14:39 EDT ---

Related bugs:
https://bugs.launchpad.net/glance/+bug/953159
https://bugs.launchpad.net/glance/+bugs?field.tag=postgresql

--- Additional comment from Alan Pevec on 2012-12-13 14:33:21 EST ---

Dan, how well does Folsom work with PostgreSQL?
Any blocking issues preventing us fully support postgres for RHOS 2.1 GA?
Comment 1 Kashyap Chamarthy 2013-03-15 06:45:02 EDT
Any update here ? It's been a while.
Comment 2 David Ripton 2013-03-15 09:09:58 EDT
We use SQLAlchemy as a DB portability layer.  We run the upstream devstack-gate test suite using postgres for every proposed commit, and the code isn't allowed in until it passes.  And whenever someone proposes doing something MySQL-specific, we make sure there's a fallback path for postgres.

So I think postgres support is in pretty good shape right now.  That said, there may be edge cases that nobody has thought to test.

Note You need to log in before you can comment on or make changes to this bug.